'use strict';

var RelatorioServices = angular.module('RelatorioServices', []);

RelatorioServices.factory('Relatorio', ['Conexao',
  (Conexao) => {

    var relatorioFactory = {};

    relatorioFactory.getRelatorioPlanejamentoObra = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioPlanejamentoObra', { IdConstrucao: idConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioCustoObra = (opcao, idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioCustoObra', {Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioOrcamentoXCusto = (opcao, idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioOrcamentoXCusto', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getOrcamentoBDIExplicito = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getOrcamentoBDIExplicito', { IdConstrucao: idConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getOrcamentoBDIImplicito = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getOrcamentoBDIImplicito', {IdConstrucao: idConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioCurvaABC = (IdConstrucao, Medicao, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioCurvaABC', { IdConstrucao: IdConstrucao, Medicao: Medicao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getBoletimMedicao = (opcao, idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getBoletimMedicao', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getBoletimMedicaoFornecedor = (params, callBackFunction) => {
        Conexao.ExecutaService('getBoletimMedicaoFornecedor', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getBoletimMedicaoFornecedorAll = (params, callBackFunction) => {
        Conexao.ExecutaService('getBoletimMedicaoFornecedorAll', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsBoletimMedicaoFornecedor = (params, callBackFunction) => {
        Conexao.ExecutaService('xlsBoletimMedicaoFornecedor', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsBoletimMedicaoFornecedorAll = (params, callBackFunction) => {
        Conexao.ExecutaService('xlsBoletimMedicaoFornecedorAll', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfBoletimMedicaoFornecedor = (params, callBackFunction) => {
        Conexao.ExecutaService('pdfBoletimMedicaoFornecedor', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getBoletimFinanceiro = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
            Conexao.ExecutaService('getBoletimFinanceiro', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
                (data) => {
                    callBackFunction(data);
                });
        }

    relatorioFactory.getHistogramaCusto = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getHistogramaCusto', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getHistogramaAcumulado = (params, callBackFunction) => {
        Conexao.ExecutaService('getHistogramaAcumulado', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getFisicoFinanceiro = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getFisicoFinanceiro', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getCronogramaFisicoFinanceiro = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getCronogramaFisicoFinanceiro', { IdConstrucao: idConstrucao }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioExtratoObra = (itens, callBackFunction) => {
        var params = {
            POST: true,
            data: itens
        }
        Conexao.ExecutaService('getRelatorioExtratoObraPost', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getResumoMedicao = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getResumoMedicao', { IdConstrucao: idConstrucao }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getMedicoes = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getMedicoes', { IdConstrucao: idConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioCurvaABCMedicaoItem = (params, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioCurvaABCMedicaoItem', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioOcorrencia = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioOcorrencia', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioFotografico = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioFotografico', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioBDI = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioBDI', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioADMFinanceiro = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioADMFinanceiro', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getDashboarCurvaAbc = (idConstrucao, tipo, callBackFunction) => {
        Conexao.ExecutaService('getDashboarCurvaAbc', { IdConstrucao: idConstrucao, Tipo: tipo }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getDashboarOcorrencias = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getDashboarOcorrencias', { IdConstrucao: idConstrucao }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getDashboarCurvaAbcCusto = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getDashboarCurvaAbcCusto', { IdConstrucao: idConstrucao }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getOrcamentoSintetico = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getOrcamentoSintetico', { IdConstrucao: idConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getCustoCategoria = (params, callBackFunction) => {
        Conexao.ExecutaService('getCustoCategoria', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getResumoCompras = (params, callBackFunction) => {
        Conexao.ExecutaService('getResumoCompras', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getCustoSintetico = (opcao, idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getCustoSintetico', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }
    
    relatorioFactory.getCustoEtapa = (params, callBackFunction) => {
        Conexao.ExecutaService('getCustoEtapa', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getOrcamentoBDIExplicitoSintetico = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getOrcamentoBDIExplicitoSintetico', { IdConstrucao: idConstrucao }, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getOrcamentoBDIImplicitoSintetico = (idConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getOrcamentoBDIImplicitoSintetico', { IdConstrucao: idConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoAnalitico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoAnalitico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfCustoAnalitico = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfCustoAnalitico', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoXCusto = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoXCusto', {  Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoBDIExplicito = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoBDIExplicito', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoBDIImplicito = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoBDIImplicito', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfCurvaABC = (IdConstrucao, Medicao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfCurvaABC', { IdConstrucao: IdConstrucao, Medicao: Medicao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfBoletimMedicao = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfBoletimMedicao', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfExtratoObra = (itens, callBackFunction) => {
        var params = {
            POST: true,
            data: itens
        }
        Conexao.ExecutaService('pdfExtratoObraPost', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioCurvaABCMedicaoItem = (params, cabecalho, callBackFunction) => {
        params.Cabecalho = JSON.stringify(cabecalho);
        Conexao.ExecutaService('pdfRelatorioCurvaABCMedicaoItem', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioOcorrencia = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioOcorrencia', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioFotografico = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioFotografico', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioBDI = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioBDI', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoSintetico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoSintetico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfCustoSintetico = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfCustoSintetico', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoBDIExplicitoSintetico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoBDIExplicitoSintetico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfOrcamentoBDIImplicitoSintetico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfOrcamentoBDIImplicitoSintetico', {IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioComposicao = (IdConstrucao, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioComposicao', { IdConstrucao: IdConstrucao }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioComposicao = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioComposicao', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioDebitoPeriodo = (idConstrucao, dataInicio, dataFim, tipo, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioDebitoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Tipo: tipo }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioCreditoPeriodo = (idConstrucao, dataInicio, dataFim, tipo, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioCreditoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Tipo: tipo }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioCustoCategoria = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioCustoCategoria', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioDebitoPeriodo = (idConstrucao, dataInicio, dataFim, tipo, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioDebitoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Tipo: tipo, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioCreditoPeriodo = (idConstrucao, dataInicio, dataFim, tipo, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioCreditoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Tipo: tipo, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfCustoCategoria = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfCustoCategoria', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioOrcamentoSinteticoMaterialMDO = (idConstrucao, callBackFunction) => {
    Conexao.ExecutaService('getRelatorioOrcamentoSinteticoMaterialMDO', { IdConstrucao: idConstrucao }, true,
        (data) => {
            callBackFunction(data);
        });
    }

    relatorioFactory.pdfRelatorioDiarioObra = (IdDiarioObra, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioDiarioObra', { IdDiarioObra: IdDiarioObra, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsCurvaABC = (IdConstrucao, Medicao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsCurvaABC', { IdConstrucao: IdConstrucao, Medicao: Medicao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioCurvaABCMedicaoItem = (params, cabecalho, callBackFunction) => {
        params.Cabecalho = JSON.stringify(cabecalho);
        Conexao.ExecutaService('xlsRelatorioCurvaABCMedicaoItem', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoAnalitico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoAnalitico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsCustoAnalitico = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsCustoAnalitico', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoXCusto = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoXCusto', {  Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoBDIExplicito = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoBDIExplicito', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoBDIImplicito = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoBDIImplicito', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsBoletimMedicao = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsBoletimMedicao', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsExtratoObra = (itens, callBackFunction) => {
        var params = {
            POST: true,
            data: itens
        }
        Conexao.ExecutaService('xlsExtratoObraPost', params, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioBDI = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsRelatorioBDI', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsCustoSintetico = (opcao, idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsCustoSintetico', { Opcao: opcao, IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoSintetico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoSintetico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoBDIExplicitoSintetico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoBDIExplicitoSintetico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsOrcamentoBDIImplicitoSintetico = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsOrcamentoBDIImplicitoSintetico', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioComposicao = (idConstrucao, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsRelatorioComposicao', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsCustoCategoria = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsCustoCategoria', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioDebitoPeriodo = (idConstrucao, dataInicio, dataFim, tipo, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsRelatorioDebitoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Tipo: tipo, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioCreditoPeriodo = (idConstrucao, dataInicio, dataFim, tipo, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsRelatorioCreditoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Tipo: tipo, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioMedicaoPeriodo = (idConstrucao, dataInicio, dataFim, callBackFunction) => {
        Conexao.ExecutaService('getRelatorioMedicaoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioMedicaoPeriodo = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('pdfRelatorioMedicaoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioMedicaoPeriodo = (idConstrucao, dataInicio, dataFim, cabecalho, callBackFunction) => {
        Conexao.ExecutaService('xlsRelatorioMedicaoPeriodo', { IdConstrucao: idConstrucao, DataInicio: dataInicio, DataFim: dataFim, Cabecalho: JSON.stringify(cabecalho) }, true,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioOrcamentoAnaliticoMatxMDO = function(idConstrucao, callBackFunction) {
        Conexao.ExecutaService('getRelatorioOrcamentoAnaliticoMatxMDO', { IdConstrucao: idConstrucao}, true,
        (data) => {
            callBackFunction(data);
        });
    }

    relatorioFactory.pdfRelatorioOrcamentoAnaliticoMatxMDO = function(idConstrucao, cabecalho, callBackFunction) {
        Conexao.ExecutaService('pdfRelatorioOrcamentoAnaliticoMatxMDO', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            function(data){
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioOrcamentoAnaliticoMatxMDO = function(idConstrucao, cabecalho, callBackFunction) {
        Conexao.ExecutaService('xlsRelatorioOrcamentoAnaliticoMatxMDO', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            function(data){
                callBackFunction(data);
            });
    }

    relatorioFactory.getRelatorioOrcamentoAnaliticoLicitacao = function(idConstrucao, callBackFunction) {
        Conexao.ExecutaService('getRelatorioOrcamentoAnaliticoLicitacao', { IdConstrucao: idConstrucao }, true,
            function(data){
                callBackFunction(data);
            });
    }

    relatorioFactory.pdfRelatorioOrcamentoAnaliticoLicitacao = function(idConstrucao, cabecalho, callBackFunction) {
        Conexao.ExecutaService('pdfRelatorioOrcamentoAnaliticoLicitacao', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            function(data){
                callBackFunction(data);
            });
    }

    relatorioFactory.xlsRelatorioOrcamentoAnaliticoLicitacao = function(idConstrucao, cabecalho, callBackFunction) {
        Conexao.ExecutaService('xlsRelatorioOrcamentoAnaliticoLicitacao', { IdConstrucao: idConstrucao, Cabecalho: JSON.stringify(cabecalho) }, true,
            function(data){
                callBackFunction(data);
            });
    }

    relatorioFactory.getResumoRDO = (params, callBackFunction) => {
        Conexao.ExecutaService('getResumoRDO', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getResumoTempo = (params, callBackFunction) => {
        Conexao.ExecutaService('getResumoTempo', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    relatorioFactory.getCurvaAbcFornecedor = (params, callBackFunction) => {
        Conexao.ExecutaService('getCurvaAbcFornecedor', params, false,
            (data) => {
                callBackFunction(data);
            });
    }

    return relatorioFactory;
  }]);
